org.eclipse.modisco.java.discoverer

## Class DiscoverJavaModelFromProject

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<T>
    - - org.eclipse.modisco.kdm.source.extension.discovery.AbstractRegionDiscoverer2<T>
      - - org.eclipse.modisco.java.discoverer.AbstractDiscoverJavaModelFromProject<IProject>
        - - org.eclipse.modisco.java.discoverer.DiscoverJavaModelFromProject

All Implemented Interfaces:
  IDiscoverer<IProject>, ISourceRegionNotifier<IProject>

    public class DiscoverJavaModelFromProject
    extends AbstractDiscoverJavaModelFromProject<IProject>

Discover a Java model from a project with the java nature.

### Field Summary

Fields
`static java.lang.String` `ID`

### Constructor Summary

Constructors
Constructor and Description
`DiscoverJavaModelFromProject()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ElementsToAnalyze` `getElementsToAnalyzeInitialValue(IProject project)` This initializer method is implemented in order to set the IJavaProject on the instance of ElementsToAnalyze.
`boolean` `isApplicableTo(IProject project)` To determine if the source object can be handled by the discoverer.

### Methods inherited from class org.eclipse.modisco.java.discoverer.AbstractDiscoverJavaModelFromProject

`computeDiscoverableElements, computeElementsToDiscover, computeRequiredLibraries, computeRequiredProjects, getEFactory, setDeepAnalysis, setElementsToAnalyze, setExcludedElementsRegEx, setIncludedElementsRegEx, setIncrementalMode, setLogJavaAnalysisWarnings, toString`

### Methods inherited from class org.eclipse.modisco.kdm.source.extension.discovery.AbstractRegionDiscoverer2

`addSourceVisitListener, getSourceVisitListeners, notifySourceRegionVisited, notifySourceRegionVisited, removeSourceVisitListener`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Constructor Detail

#### DiscoverJavaModelFromProject

    public DiscoverJavaModelFromProject()

### Method Detail

#### isApplicableTo

    public boolean isApplicableTo(IProject project)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `project` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.

#### getElementsToAnalyzeInitialValue

    @ParameterInitialValue(name="ELEMENTS_TO_ANALYZE")
    public static ElementsToAnalyze getElementsToAnalyzeInitialValue(IProject project)

This initializer method is implemented in order to set the IJavaProject on the instance of ElementsToAnalyze.